> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get api key report



## OpenAPI

````yaml /api-specs/cloud/dmm.json get /model-monitor/v2/api/auth/api_key_report
openapi: 3.0.3
info:
  description: The API for programmatic access to Domino Model Monitor.
  title: Domino Model Monitor API
  version: 1.0.1
servers:
  - description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
    url: https://mycluster.domino.tech
security: []
tags:
  - description: All Dataset Job related operations.
    name: DatasetJob
  - description: All data source related operations.
    name: DataSource
  - description: All Model related operations.
    name: Model
  - description: Operations related to the management of model tags.
    name: ModelTag
  - description: All Model drift related operations.
    name: ModelDrift
  - description: All Model quality related operations.
    name: ModelQuality
  - description: All Workbench related operations.
    name: Workbench
  - description: Operations related to drift and model quality defaults setting in DMM.
    name: DefaultSettings
  - description: Operations related to configuring user related settings for DMM.
    name: UserSettings
  - description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
    name: Notification
  - description: Other miscellaneous operations.
    name: Other
  - description: All scheduler related operations
    name: Scheduler
paths:
  /model-monitor/v2/api/auth/api_key_report:
    summary: Get CSV report of active API keys with their corresponding users.
    get:
      tags:
        - Other
      summary: Get api key report
      operationId: getApiKeyReport
      responses:
        '200':
          content:
            text/csv: {}
          description: Successfully returned an API key report in CSV format.
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.

````

## Related topics

- [Export Compute and Spend data with the API](/cloud/admin/operations/control-center/export-control-center-data.md)
- [Revoke user api key](/api-reference/other/revoke-user-api-key.md)
- [Get user api key](/api-reference/other/get-user-api-key.md)
- [Download a PDF report for a bundle](/api-reference/bundles/download-a-pdf-report-for-a-bundle.md)
